summaryrefslogtreecommitdiff
path: root/stsci.skypac
diff options
context:
space:
mode:
authorJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
committerJoseph Hunkeler <jhunk@stsci.edu>2016-04-19 11:17:20 -0400
commitf46565fe6f3eefd6a8eb1cec7179164f2800b042 (patch)
treeb57ece5acd84c9a8c9235818b975a439c8ae3df9 /stsci.skypac
downloadastroconda-dev-f46565fe6f3eefd6a8eb1cec7179164f2800b042.tar.gz
Initial commit
Diffstat (limited to 'stsci.skypac')
-rw-r--r--stsci.skypac/bld.bat4
-rw-r--r--stsci.skypac/build.sh28
-rw-r--r--stsci.skypac/meta.yaml35
3 files changed, 67 insertions, 0 deletions
diff --git a/stsci.skypac/bld.bat b/stsci.skypac/bld.bat
new file mode 100644
index 0000000..abdd1e3
--- /dev/null
+++ b/stsci.skypac/bld.bat
@@ -0,0 +1,4 @@
+
+python setup.py install
+2to3 -w .
+if errorlevel 1 exit 1 \ No newline at end of file
diff --git a/stsci.skypac/build.sh b/stsci.skypac/build.sh
new file mode 100644
index 0000000..f452b7b
--- /dev/null
+++ b/stsci.skypac/build.sh
@@ -0,0 +1,28 @@
+
+function get_py_version() {
+python --version 2>&1| awk '{sub(/-.*/,"",$2);print $2}'
+}
+export -f get_py_version
+
+function set_py3k() {
+version=`get_py_version`
+major=`echo $version | cut -d '.' -f 1`
+minor=`echo $version | cut -d '.' -f 2`
+hotfix=`echo $version | cut -d '.' -f 3`
+if (( major > 2 )); then
+export PY3K=1
+else
+export PY3K=0
+fi
+}
+export -f set_py3k
+
+set_py3k
+
+
+pip install --no-deps --upgrade --force d2to1
+if [ $PY3K -ne 0 ] ; then
+sed -i -e "s|stsci.distutils.hooks.tag_svn_revision|#removed|" setup.cfg
+2to3 -w .
+fi
+python setup.py install || exit 1 \ No newline at end of file
diff --git a/stsci.skypac/meta.yaml b/stsci.skypac/meta.yaml
new file mode 100644
index 0000000..c8801f2
--- /dev/null
+++ b/stsci.skypac/meta.yaml
@@ -0,0 +1,35 @@
+about:
+ home: https://github.com/spacetelescope/stsci.skypac
+ license: BSD
+ summary: stsci.skypac
+build:
+ number: '0'
+ preserve_egg_dir: 'yes'
+package:
+ name: stsci.skypac
+ version: '0.9'
+requirements:
+ build:
+ - astropy >=1.1
+ - stsci.distutils
+ - stsci.imagestats
+ - stsci.sphere
+ - stsci.tools
+ - stwcs
+ - setuptools
+ - numpy x.x
+ - python x.x
+ run:
+ - astropy >=1.1
+ - stsci.imagestats
+ - stsci.sphere
+ - stsci.tools
+ - stwcs
+ - python x.x
+ - python x.x
+source:
+ git_tag: '0.9'
+ git_url: https://github.com/spacetelescope/stsci.skypac
+test:
+ imports:
+ - stsci.skypac